//---------------------------------------------------------------------------
#ifndef App_InputDialogH
#define App_InputDialogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
//---------------------------------------------------------------------------
class TAppInputDialog : public TForm
{
__published:
	TButton* Button1;
	TButton* Button2;
	TEdit* Edit1;
	TLabel* Label1;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
private:
	AnsiString FValue;
	AnsiString __fastcall GetMessage();
	void __fastcall SetMessage(const AnsiString& AMessage);
	AnsiString __fastcall GetInput();
	void __fastcall SetInput(const AnsiString& AInput);
	__property AnsiString Input = {read=GetInput, write=SetInput};
protected:
public:
	__fastcall TAppInputDialog(TComponent* AOwner);
	virtual __fastcall ~TAppInputDialog();
	static TAppInputDialog* __fastcall EnsureCreate();
	virtual bool __fastcall Execute();
	virtual bool __fastcall Execute(const AnsiString& ATitle, const AnsiString& AMessage, AnsiString& AValue);
	__property AnsiString Message = {read=GetMessage, write=SetMessage};
	__property AnsiString Value = {read=FValue, write=FValue};
};
//---------------------------------------------------------------------------
extern PACKAGE TAppInputDialog* AppInputDialog;
//---------------------------------------------------------------------------
#endif

