//---------------------------------------------------------------------------
#ifndef App_SplitH
#define App_SplitH
//---------------------------------------------------------------------------
#include "App_Common.h"
//---------------------------------------------------------------------------
namespace App_split {
//---------------------------------------------------------------------------
struct TSplitArguments
{
	AnsiString Directory;
	AnsiString Archive;
	AnsiString EntryPrefix;
	AnsiString EntrySuffix;
	AnsiString Extension;
};
//---------------------------------------------------------------------------
class TSplitPathProducer : public TObject
{
private:
	AnsiString FDirectory;
	AnsiString FArchive;
	AnsiString FEntryPrefix;
	AnsiString FEntrySuffix;
	AnsiString FExtension;
protected:
public:
	__fastcall TSplitPathProducer();
	virtual __fastcall ~TSplitPathProducer();
	virtual AnsiString __fastcall Produce(const AnsiString& ADiskName);
	__property AnsiString Directory = {read=FDirectory, write=FDirectory};
	__property AnsiString Archive = {read=FArchive, write=FArchive};
	__property AnsiString EntryPrefix = {read=FEntryPrefix, write=FEntryPrefix};
	__property AnsiString EntrySuffix = {read=FEntrySuffix, write=FEntrySuffix};
	__property AnsiString Extension = {read=FExtension, write=FExtension};
};
//---------------------------------------------------------------------------
} // End namespace App_split
using namespace App_split;
//---------------------------------------------------------------------------
#endif

